;n_hcbcan3d.t2.be
;avance-version (15/08/17)
;2D sequence with
;   15N detected correlation for triple resonance using
;      inept transfer steps
;
;      F3(Ha) -> F2(Ca,t1) -> F1(N,t2)
;
;on/off resonance 13C pulses using shaped pulses
;phase sensitive (t1)
;(use parameterset )
;
;$CLASS=HighRes
;$DIM=2D
;$TYPE=
;$SUBTYPE=
;$COMMENT=


prosol relations=<triple>


#include <Avance.incl>
#include <Grad.incl>
#include <Delay.incl>


"p2=p1*2"
"p22=p21*2"
"d11=30m"
"d12=20u"

"d3=1.1m"
"d4=1.72m"
"d23=11.3m"
"d24=3.6m"
;"d24=6.9m"

"d10=3u"
"d28=3u"
"d0=d4"
"d20=d4+p14+d28"
"d30=d24+d10-p14-4u"

"in0=inf1/2"
"in10=inf2/2"

"FACTOR1=d20*10000000*2/td1"
"INCR1=FACTOR1/10000000"

"if ( INCR1 > in0 ) { in20 = in0; } else { in20 = INCR1; }"
"if ( INCR1 > in0 ) { in28 = 0; } else { in28=in0-INCR1; }"

"in30=in10"


;"td2=tdmax(td2,d30*2,in30)"


"DELTA1=d24-d3-larger(p2,p14)-p22"
"DELTA3=d23/2-p14/2"
"DELTA4=d23/2-p14/2-d12+p1*2/PI-de-4u"


"spoff2=0"
"spoff3=0"
"spoff8=0"
"spoff5=bf3*((cnst21-cnst23)/1000000)"


"cnst24=cnst21/2+cnst22/2"

"cnst62=-((bf2*cnst20)-(o2*1000000))"
"cnst63=-(cnst62*inf1/1000000)*360.0"


"acqt0=0"
baseopt_echo


1 ze
  d11 LOCKDEC_ON
  50u LOCKH_ON
  d11 H2_PULSE
  d11 pl12:f2 pl16:f3 pl17:f4

2 d11 do:f2 do:f3 do:f4
3 d11 H2_LOCK
  6m LOCKH_OFF
  d1 pl1:f1 pl2:f2 pl0:f3
  50u LOCKH_ON
  d12 H2_PULSE
  50u UNBLKGRAMP
  (p1 ph1):f1
  p16:gp1
  d16 fq=cnst23(bf ppm):f3
;  H-C Hencoding
  (p21 ph4):f2
  d0
  (p14:sp3 ph1):f3
  d28
  (p22 ph1):f2
  d20
  (p21 ph2):f2
; C-endoding 
  (p13:sp2 ph3):f3
  d10
  (center (p2 ph1):f1 (p14:sp5 ph1):f3 )
  d3
  (p22 ph1):f2
  DELTA1 pl12:f2
  (p14:sp3 ph1):f3
  d30
  (p14:sp5 ph1):f3
  4u
  (p13:sp8 ph1):f3

  4u cpd2:f2
  d23
  (center (p2 ph1):f1 (p14:sp3 ph1):f3 )
  d23
  4u
  (p13:sp2 ph1):f3

  4u do:f2
  p16:gp2
  d16
  4u cpd4:f4

  (p1 ph5):f1
  DELTA3
  (p14:sp5 ph1):f3
  DELTA3
  (center (p2 ph1):f1 (p14:sp3 ph1):f3)
  DELTA3
  (p14:sp5 ph1):f3
  4u
  DELTA4 fq=cnst24(bf ppm):f3
  d12 pl16:f3
  4u BLKGRAMP

  go=2 ph31 cpd3:f3
  d11 do:f2 do:f3 do:f4 mc #0 to 2
    F1PH(calph(ph4, +90), caldel(d0, +in0) & caldel(d20, -in20) & caldel(d28, +in28))     ; & calph(ph4, cnst63))
    F2PH(calph(ph3, +90), caldel(d10, +in10) & caldel(d30, -in30))

  d11 H2_LOCK
  d11 LOCKH_OFF
  d11 LOCKDEC_OFF

exit


ph1=0
ph2=1
ph3=0 2
ph4=0 0 2 2
ph5=0 0 0 0 2 2 2 2
ph31=0 2 2 0  2 0 0 2


;pl1 : f1 channel - power level for pulse (default)
;pl3 : f3 channel - power level for pulse (default)
;pl12: f2 channel - power level for CPD/BB decoupling
;pl16: f3 channel - power level for CPD/BB decoupling
;sp3: f2 channel - shaped pulse 180 degree (adiabatic)
;sp23: f1 channel - shaped pulse 90 degree (on resonance)
;sp24: f1 channel - shaped pulse 180 degree (on resonance)
;sp25: f1 channel - shaped pulse 90 degree (on resonance) for time reversed pulse
;sp26: f1 channel - shaped pulse 180 degree (C=O off resonance)
;sp27: f1 channel - shaped pulse 180 degree (Ca off resonance)
;sp28: f1 channel - shaped pulse 180 degree (Ca on resonance)
;p11: f1 channel - 90 degree shaped pulse
;p12: f1 channel - 180 degree shaped pulse
;p14: f2 channel - 180 degree shaped pulse for inversion (adiabatic)
;d10 : incremented delay (F1 in 2D) [3 usec]
;d1 : relaxation delay; 1-5 * T1
;d11: delay for disk I/O [30 msec]
;d12: delay for power switching [20 usec]
;d23: 11.3m 1/8JaN delay for N evolution can be determined by paropt
;o1p: Calpha chemical shift (cnst23)
;in10: 1/(1 * SW(Ca)) = DW(Ca)
;nd10: 1
;td1: number of experiments in F1
;FnMODE: States-TPPI (or TPPI) in F1
;cpd2: decoupling according to sequence defined by cpdprg2
;cpd3: decoupling according to sequence defined by cpdprg3
;pcpd2: f2 channel - 90 degree pulse for decoupling sequence
;pcpd3: f3 channel - 90 degree pulse for decoupling sequence
;cnst2: Ha-13Ca J coupling
;cnst12: HaCa selection 4 for all but Gly 8 including Gly
;cnst21: CO chemical shift (offset, in ppm)
;cnst22: Calpha chemical shift (offset, in ppm)
;cnst24: Middle Calpha CO (offset, in ppm)



;$Id: $
